## sngrep 0.3.1

=== debian/changelog ===
sngrep (0.3.1-1) unstable; urgency=low

  [ Ivan Alonso ]
   * Initial version (Closes: #772138)

  [ Victor Seva ]
  * [5b24a7e] add missing libncurses5-dev to Build-Depends. Clean forced depends
  * [d929975] add /me to uploaders. Set pkg-voip as maintainer.
    Add debian dir at copyright with my info
  * [508ae25] fix uscan watch file
  * [da71358] Imported Upstream version 0.3.1
  * [50d10c7] add debian/gbp.conf
  * [4c62972] restore pgpsigurlmangle option at watch file
  * [568be43] fix debian/copyright format
  * [c0a4a2e] set Architecture to any
  * [439463f] enable ipv6

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 18 May 2015 11:06:27 +0200

=== debian/watch ===
version=3
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sngrep_$1\.orig\.tar\.gz/,pgpsigurlmangle=s/archive\/v(\d\S*)\.tar\.gz/releases\/download\/v$1\/v$1.tar.gz.asc/" \
  https://github.com/irontec/sngrep/tags .*/v?(\d\S*)\.tar\.gz

## sngrep 1.8.3

=== CMakeLists.txt ===
# CMakeLists file derived from configure.ac

cmake_minimum_required( VERSION 3.7...3.27 )

option( WITH_GNUTLS    "Enable SSL Support (TLS SIP Transport)"            no )
option( WITH_OPENSSL   "Enable SSL Support (TLS SIP Transport)"            no )
option( WITH_PCRE      "Enable Perl compatible regular expressions"        no )
option( WITH_PCRE2     "Enable Perl compatible regular expressions (v2)"   no )
option( WITH_ZLIB      "Enable zlib to support gzip compressed pcap files" no )
option( WITH_UNICODE   "Enable Ncurses Unicode support"                    no )
option( USE_IPV6       "Enable IPv6 Support"                               no )
option( USE_EEP        "Enable EEP/HEP Support"                            no )
option( DISABLE_LOGO   "Disable Irontec Logo from Summary menu"            no )

# Read parameters of AC_INIT() from file configure.ac
file( STRINGS configure.ac AC_INIT REGEX "AC_INIT\\(.*\\)" )
if( AC_INIT MATCHES "^.*AC_INIT\\( *\\[([^]]*)\\], *\\[([^]]*)\\], *\\[([^]]*)\\], *\\[([^]]*)\\], *\\[([^]]*)\\] *\\).*$" )
	set( AC_PACKAGE_NAME "${CMAKE_MATCH_1}" )
	set( AC_PACKAGE_VERSION "${CMAKE_MATCH_2}" )
	set( AC_PACKAGE_STRING "${CMAKE_MATCH_1} ${CMAKE_MATCH_2}" )
	set( AC_PACKAGE_BUGREPORT "${CMAKE_MATCH_3}" )
	set( AC_PACKAGE_TARNAME "${CMAKE_MATCH_4}" )
	set( AC_PACKAGE_URL "${CMAKE_MATCH_5}" )
	message( STATUS "${AC_PACKAGE_STRING}" )
else()
	message( FATAL_ERROR "Error parsing AC_INIT(...) from file configure.ac" )
endif()

project( ${AC_PACKAGE_NAME}
	VERSION ${AC_PACKAGE_VERSION}
	LANGUAGES C
	)

add_executable( sngrep src/main.c )

set_target_properties( sngrep PROPERTIES C_STANDARD 11 C_STANDARD_REQUIRED YES C_EXTENSIONS YES )
target_compile_options( sngrep PRIVATE -Wall -pedantic ) # -Wextra -Wconversion -Werror

# Define _GNU_SOURCE etc.
if( CMAKE_SYSTEM_NAME STREQUAL "Linux" )
	target_compile_definitions( sngrep PRIVATE _GNU_SOURCE=1 _XOPEN_SOURCE_EXTENDED=1 )
endif()

# we might want to use this with zlib for compressed pcap support
include( CheckFunctionExists )
check_function_exists( fopencookie HAVE_FOPENCOOKIE )

#######################################################################
# Check for other REQUIRED libraries

find_package( PkgConfig REQUIRED )

message( STATUS "Checking for library 'libpthread'" )
find_library( LIBPTHREAD pthread ) # Note: The use of "REQUIRED" here would need CMake 3.18...
if( LIBPTHREAD )                   # ...therefore we check the result for ourself
	message( STATUS "  Found ${LIBPTHREAD}" )
	target_link_libraries( sngrep PUBLIC pthread )
else()
	message( STATUS "  No library 'libpthread' found" )
	message( FATAL_ERROR "You need to have libpthread installed to compile sngrep." )
endif()

pkg_check_modules( LIBPCAP IMPORTED_TARGET libpcap )
if( LIBPCAP_FOUND )
	target_link_libraries( sngrep PUBLIC PkgConfig::LIBPCAP )
else()
	message( STATUS "Checking for library 'libpcap'" )
	find_library( LIBPCAP pcap )
	if( LIBPCAP )
		message( STATUS "  Found ${LIBPCAP}" )
		target_link_libraries( sngrep PUBLIC pcap )
	else()
		message( STATUS "  No library 'libpcap' found" )
		message( FATAL_ERROR "You need to have libpcap installed to compile sngrep." )
	endif()
endif()

####
#### Ncurses Wide character support
####
if( WITH_UNICODE )
	pkg_check_modules( NCURSES REQUIRED IMPORTED_TARGET ncursesw )
	pkg_check_modules( PANEL REQUIRED IMPORTED_TARGET panelw )
	pkg_check_modules( FORM REQUIRED IMPORTED_TARGET formw )
	pkg_check_modules( MENU REQUIRED IMPORTED_TARGET menuw )
else()
	pkg_check_modules( NCURSES REQUIRED IMPORTED_TARGET ncurses )
	pkg_check_modules( PANEL REQUIRED IMPORTED_TARGET panel )
	pkg_check_modules( FORM REQUIRED IMPORTED_TARGET form )
	pkg_check_modules( MENU REQUIRED IMPORTED_TARGET menu )
endif()
target_link_libraries( sngrep PUBLIC PkgConfig::NCURSES PkgConfig::PANEL PkgConfig::FORM PkgConfig::MENU )

####
#### GnuTLS Support
####
if( WITH_GNUTLS )
	pkg_check_modules( GNUTLS REQUIRED IMPORTED_TARGET gnutls )
	message( STATUS "Checking for library 'libgcrypt'" )
	find_library( LIBGCRYPT gcrypt ) # Note: The use of "REQUIRED" here would need CMake 3.18...
	if( LIBGCRYPT )                  # ...therefore we check the result for ourself
		message( STATUS "  Found ${LIBGCRYPT}" )
	else()
		message( STATUS "  No library 'libgcrypt' found" )
		message( FATAL_ERROR "You need to have libgcrypt installed to compile sngrep" )
	endif()
	target_link_libraries( sngrep PUBLIC pthread PkgConfig::GNUTLS gcrypt )
endif()

####
#### OpenSSL Support
####
if( WITH_OPENSSL )
	if( WITH_GNUTLS )
		message( FATAL_ERROR "GnuTLS and OpenSSL can not be enabled at the same time" )
	endif()

	pkg_check_modules( LIBSSL REQUIRED IMPORTED_TARGET libssl )
	pkg_check_modules( LIBCRYPTO REQUIRED IMPORTED_TARGET libcrypto )
	target_link_libraries( sngrep PUBLIC pthread PkgConfig::LIBSSL PkgConfig::LIBCRYPTO )
endif()

####
#### PCRE Support
####
if( WITH_PCRE )
	pkg_check_modules( LIBPCRE REQUIRED IMPORTED_TARGET libpcre )
	target_link_libraries( sngrep PUBLIC pthread PkgConfig::LIBPCRE )
endif()

####
#### PCRE2 Support
####
if( WITH_PCRE2 )
	if( WITH_PCRE )
		message( FATAL_ERROR "libpcre-2 and libpcre-3 can not be enabled at the same time" )
	endif()

	target_compile_definitions( sngrep PRIVATE PCRE2_CODE_UNIT_WIDTH=8 ) # Required for including pcre2.h

	pkg_check_modules( LIBPCRE2 REQUIRED IMPORTED_TARGET libpcre2-8 )
	target_link_libraries( sngrep PUBLIC pthread PkgConfig::LIBPCRE2 )
endif()

####
#### zlib Support
####
if ( WITH_ZLIB )
	pkg_check_modules( ZLIB REQUIRED IMPORTED_TARGET zlib )
	target_link_libraries( sngrep PUBLIC pthread PkgConfig::ZLIB )
endif()

# Source inclusion
target_sources( sngrep
	PRIVATE
		src/address.c
		src/packet.c
		src/sip.c
		src/sip_call.c
		src/sip_msg.c
		src/sip_attr.c
		src/option.c
		src/group.c
		src/filter.c
		src/keybinding.c
		src/media.c
		src/setting.c
		src/rtp.c
		src/util.c
		src/hash.c
		src/vector.c
	#
		src/curses/ui_panel.c
		src/curses/scrollbar.c
		src/curses/ui_manager.c
		src/curses/ui_call_list.c
		src/curses/ui_call_flow.c
		src/curses/ui_call_raw.c
		src/curses/ui_stats.c
		src/curses/ui_filter.c
		src/curses/ui_save.c
		src/curses/ui_msg_diff.c
		src/curses/ui_column_select.c
		src/curses/ui_settings.c
	)

target_include_directories( sngrep PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/src )

# Conditional Source inclusion
target_sources( sngrep PRIVATE src/capture.c )
if( WITH_GNUTLS )
	target_sources( sngrep PRIVATE src/capture_gnutls.c )
endif()
if( WITH_OPENSSL )
	target_sources( sngrep PRIVATE src/capture_openssl.c )
endif()
if( USE_EEP )
	target_sources( sngrep PRIVATE src/capture_eep.c )
endif()

######################################################################
# Generate config.h

configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
target_include_directories( sngrep PRIVATE ${CMAKE_CURRENT_BINARY_DIR} )

######################################################################
# Installing

include( GNUInstallDirs )

install( TARGETS sngrep RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} )
install( FILES config/sngreprc DESTINATION /etc )
install( FILES doc/sngrep.8 DESTINATION ${CMAKE_INSTALL_MANDIR}/man8 )
install( FILES README TODO COPYING ChangeLog DESTINATION "${CMAKE_INSTALL_DOCDIR}" )

######################################################################
# Packaging

set( CPACK_PACKAGE_NAME "${AC_PACKAGE_NAME}" )
set( CPACK_PACKAGE_VERSION "${AC_PACKAGE_VERSION}" )
set( CPACK_PACKAGE_CONTACT "Ivan Alonso <kaian@irontec.com>" ) # ${AC_PACKAGE_BUGREPORT} only contains the E-Mail address, therefore we don't use it here
set( CPACK_PACKAGE_HOMEPAGE_URL "${AC_PACKAGE_URL}" )
set( CPACK_PACKAGE_VENDOR "Irontec S.L." )
set( CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE" )
set( CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README" )
set( CPACK_STRIP_FILES TRUE )

set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Ncurses SIP Messages flow viewer" )

set( CPACK_PACKAGE_DESCRIPTION
"sngrep displays SIP Messages grouped by Call-Id into flow
diagrams. It can be used as an offline PCAP viewer or online
capture using libpcap functions.

It supports SIP UDP, TCP and TLS transports (when each message is
delivered in one packet).

You can also create new PCAP files from captures or displayed dialogs." )

set( CPACK_DEBIAN_FILE_NAME DEB-DEFAULT )
#set( CPACK_DEBIAN_PACKAGE_RELEASE 1 )
set( CPACK_DEBIAN_PACKAGE_SECTION "comm" )
set( CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON )

set( CPACK_RPM_FILE_NAME RPM-DEFAULT )
#set( CPACK_RPM_PACKAGE_RELEASE 1 )
set( CPACK_RPM_PACKAGE_RELEASE_DIST ON )
set( CPACK_RPM_PACKAGE_GROUP "Applications/Engineering" )
set( CPACK_RPM_PACKAGE_LICENSE "GPLv3" )
set( CPACK_RPM_PACKAGE_DESCRIPTION "${CPACK_PACKAGE_DESCRIPTION}" )
set( CPACK_RPM_PACKAGE_AUTOREQ YES )

include( CPack )

######################################################################
# Print Logo

if( NOT DISABLE_LOGO )
	message( STATUS "" )
	message( STATUS " ██╗██████╗  ██████╗ ███╗   ██╗████████╗███████╗ ██████╗" )
	message( STATUS " ██║██╔══██╗██╔═══██╗████╗  ██║╚══██╔══╝██╔════╝██╔════╝" )
	message( STATUS " ██║██████╔╝██║   ██║██╔██╗ ██║   ██║   █████╗  ██║     " )
	message( STATUS " ██║██╔══██╗██║   ██║██║╚██╗██║   ██║   ██╔══╝  ██║     " )
	message( STATUS " ██║██║  ██║╚██████╔╝██║ ╚████║   ██║   ███████╗╚██████╗" )
	message( STATUS " ╚═╝╚═╝  ╚═╝ ╚═════╝ ╚═╝  ╚═══╝   ╚═╝   ╚══════╝ ╚═════╝" )
endif()

message( STATUS "" )
message( STATUS "sngrep configure finished"                              )
message( STATUS "======================================================" )
message( STATUS "GnuTLS Support               : ${WITH_GNUTLS}"          )
message( STATUS "OpenSSL Support              : ${WITH_OPENSSL}"         )
message( STATUS "Unicode Support              : ${WITH_UNICODE}"         )
message( STATUS "Perl Expressions Support     : ${WITH_PCRE}"            )
message( STATUS "Perl Expressions Support (v2): ${WITH_PCRE2}"           )
message( STATUS "IPv6 Support                 : ${USE_IPV6}"             )
message( STATUS "EEP Support                  : ${USE_EEP}"              )
message( STATUS "Zlib Support                 : ${WITH_ZLIB}"            )
message( STATUS "======================================================" )
message( STATUS "" )

######################################################################
# Tests

enable_testing()            # "ctest" will run all tests
add_custom_target( tests )  # "make tests" will build all tests

foreach( i 001 002 003 004 005 006 007 008 009 010 011 )
	add_executable( test_${i} EXCLUDE_FROM_ALL tests/test_${i}.c )
	if( i STREQUAL "007" )
		target_sources( test_${i} PUBLIC src/vector.c src/util.c )
	elseif( i STREQUAL "010" )
		target_sources( test_${i} PUBLIC src/hash.c )
	endif()
	target_include_directories( test_${i} PRIVATE ${CMAKE_CURRENT_BINARY_DIR} )

	add_test( NAME test_${i} COMMAND ${CMAKE_CURRENT_BINARY_DIR}/test_${i} WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/tests )
	add_dependencies( tests test_${i} )
endforeach()

## sngrep 0.3.2

=== debian/changelog ===
sngrep (0.3.2-1) unstable; urgency=medium

  * [6e1188f] debian/watch: fix upstream rc versions
  * [c4eab72] Imported Upstream version 0.3.2

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 01 Jun 2015 14:53:20 +0200

=== debian/control ===
Source: sngrep
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Ivan Alonso <kaian@irontec.com>,
           Victor Seva <linuxmaniac@torreviejawireless.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libncurses5-dev,
               libncursesw5-dev,
               libpcap-dev,
               libpcre3-dev,
               libssl-dev
Standards-Version: 3.9.6
Homepage: https://github.com/irontec/sngrep
Vcs-git: git://anonscm.debian.org/pkg-voip/sngrep.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-voip/sngrep.git

Package: sngrep
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Ncurses SIP Messages flow viewer
 sngrep displays SIP Messages grouped by Call-Id into flow
 diagrams. It can be used as an offline pcap viewer or online
 capture using libpcap functions.
 .
 It supports SIP UDP and TCP transports (when each message is
 delivered in one packet).
 .

=== debian/rules ===
#!/usr/bin/make -f
override_dh_auto_configure:
	dh_auto_configure -- --with-openssl --with-pcre \
		--enable-unicode --enable-ipv6

%:
	dh $@ --with autoreconf

## sngrep 0.4.0

=== debian/changelog ===
sngrep (0.4.0-1) unstable; urgency=medium

  * [9d1a9ce] Imported Upstream version 0.4.0

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 09 Jul 2015 21:38:08 +0200

=== debian/watch ===
version=3
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sngrep_$1\.orig\.tar\.gz/,pgpsigurlmangle=s/archive\/v(\d\S*)\.tar\.gz/releases\/download\/v$1\/v$1.tar.gz.asc/,uversionmangle=s/\-rc([\d]+)//" \
  https://github.com/irontec/sngrep/tags .*/v?(\d\S*)\.tar\.gz

## sngrep 0.4.1

=== debian/changelog ===
sngrep (0.4.1-1) unstable; urgency=medium

  * [3c853dd] Imported Upstream version 0.4.1

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Wed, 15 Jul 2015 09:09:16 +0200

## sngrep 1.0.0

=== debian/changelog ===
sngrep (1.0.0-1) unstable; urgency=medium

  * [39c5101] Imported Upstream version 1.0.0

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Tue, 06 Oct 2015 23:45:16 +0200

sngrep (0.4.2-1) unstable; urgency=medium

  * [10e3aaa] fix watch file
  * [34a4162] Imported Upstream version 0.4.2

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 31 Aug 2015 12:17:56 +0200

## sngrep 1.1.0

=== debian/changelog ===
sngrep (1.1.0-1) unstable; urgency=medium

  * [f892192] Imported Upstream version 1.1.0
  * [2ea973d] remove libssl-dev and use gnutls-dev
  * [ced61be] add libgcrypt11-dev
  * [16b5221] add upstream fix
  * [bf06b97] enable eep option ( previously was enabled by default )

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 09 Nov 2015 23:26:17 +0100

## sngrep 1.2.0

=== debian/changelog ===
sngrep (1.2.0-1build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:27:49 +0000

sngrep (1.2.0-1) unstable; urgency=medium

  * [0d50885] Imported Upstream version 1.2.0
  * [c94afb0] remove upstream patches from previous version

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Tue, 12 Jan 2016 22:48:12 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
            Victor Seva <linuxmaniac@torreviejawireless.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
+               libgnutls28-dev | gnutls-dev,
+               libgcrypt11-dev,
                libncurses5-dev,
                libncursesw5-dev,
                libpcap-dev,
-               libpcre3-dev,
-               libssl-dev
+               libpcre3-dev
 Standards-Version: 3.9.6
 Homepage: https://github.com/irontec/sngrep
 Vcs-git: git://anonscm.debian.org/pkg-voip/sngrep.git

## sngrep 1.3.0

=== debian/changelog ===
sngrep (1.3.0-1) unstable; urgency=medium

  * [196780f] Imported Upstream version 1.3.0

 -- Victor Seva <vseva@debian.org>  Thu, 14 Apr 2016 19:34:14 +0200

## sngrep 1.3.1

=== debian/changelog ===
sngrep (1.3.1-1) unstable; urgency=medium

  * [3f6ffff] Imported Upstream version 1.3.1

 -- Victor Seva <vseva@debian.org>  Wed, 04 May 2016 13:58:48 +0200

## sngrep 1.4.1

=== debian/changelog ===
sngrep (1.4.1-1) unstable; urgency=medium

  * [59855b0] New upstream version 1.4.1
  * [bc57866] remove upstream applied patches

 -- Victor Seva <vseva@debian.org>  Fri, 28 Oct 2016 15:14:51 +0200

sngrep (1.4.0-1) unstable; urgency=medium

  * [0793f4d] New upstream version 1.4.0
  * [cdbf53a] use my DD account \o/
  * [b898460] update Standards-Version, no changes needed
  * [0d07151] fix typos thanks to lintian
  * [490c1ac] update Vcs-* fields URI

 -- Victor Seva <vseva@debian.org>  Mon, 19 Sep 2016 14:35:54 +0200

## sngrep 1.4.2

=== debian/changelog ===
sngrep (1.4.2-1) unstable; urgency=medium

  * [e6dd8bc] New upstream version 1.4.2

 -- Victor Seva <vseva@debian.org>  Thu, 29 Dec 2016 13:40:14 +0100

## sngrep 1.4.3

=== debian/changelog ===
sngrep (1.4.3-1) unstable; urgency=medium

  * [630c9f3] New upstream version 1.4.3

 -- Victor Seva <vseva@debian.org>  Wed, 17 May 2017 10:17:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Ivan Alonso <kaian@irontec.com>,
-           Victor Seva <linuxmaniac@torreviejawireless.org>
+           Victor Seva <vseva@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libgnutls28-dev | gnutls-dev,
@@ -12,10 +12,10 @@
                libncursesw5-dev,
                libpcap-dev,
                libpcre3-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/irontec/sngrep
-Vcs-git: git://anonscm.debian.org/pkg-voip/sngrep.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-voip/sngrep.git
+Vcs-git: https://anonscm.debian.org/git/pkg-voip/sngrep.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-voip/sngrep.git
 
 Package: sngrep
 Architecture: any

## sngrep 1.4.4

=== debian/changelog ===
sngrep (1.4.4-2) unstable; urgency=medium

  * build depend on libgcrypt20-dev (Closes: #864135)
  * fix manpage typo
  * update Standards-Version to 4.1.2, no changes needed

 -- Victor Seva <vseva@debian.org>  Fri, 08 Dec 2017 17:18:15 +0100

sngrep (1.4.4-1) unstable; urgency=medium

  * [b52ec57] New upstream version 1.4.4
  * [7b86bdf] debian/patches: fix_stdin.patch

 -- Victor Seva <vseva@debian.org>  Mon, 02 Oct 2017 17:49:43 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libgnutls28-dev | gnutls-dev,
-               libgcrypt11-dev,
+               libgcrypt20-dev,
                libncurses5-dev,
                libncursesw5-dev,
                libpcap-dev,
                libpcre3-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: https://github.com/irontec/sngrep
 Vcs-git: https://anonscm.debian.org/git/pkg-voip/sngrep.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-voip/sngrep.git
@@ -29,4 +29,3 @@
  .
  It supports SIP UDP and TCP transports (when each message is
  delivered in one packet).
- .

## sngrep 1.4.5

=== debian/changelog ===
sngrep (1.4.5-1) unstable; urgency=medium

  * update upstream signing key
  * New upstream version 1.4.5
  * remove already applied upstream fixes
  * update VCS-* to salsa

 -- Victor Seva <vseva@debian.org>  Fri, 09 Feb 2018 13:12:49 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                libpcre3-dev
 Standards-Version: 4.1.2
 Homepage: https://github.com/irontec/sngrep
-Vcs-git: https://anonscm.debian.org/git/pkg-voip/sngrep.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-voip/sngrep.git
+Vcs-git: https://salsa.debian.org/pkg-voip-team/sngrep.git
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/sngrep/
 
 Package: sngrep
 Architecture: any

## sngrep 1.4.6

=== debian/changelog ===
sngrep (1.4.6-2) unstable; urgency=medium

  * update debhelper compat to 12
  * update Standards-Version to 4.4.1.2, no changes needed

 -- Victor Seva <vseva@debian.org>  Mon, 09 Dec 2019 13:21:39 +0100

sngrep (1.4.6-1) unstable; urgency=medium

  * New upstream version 1.4.6

 -- Victor Seva <vseva@debian.org>  Mon, 12 Nov 2018 15:00:38 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Ivan Alonso <kaian@irontec.com>,
            Victor Seva <vseva@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper-compat (= 12),
                libgnutls28-dev | gnutls-dev,
                libgcrypt20-dev,
                libncurses5-dev,
                libncursesw5-dev,
                libpcap-dev,
                libpcre3-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.4.1.2
 Homepage: https://github.com/irontec/sngrep
 Vcs-git: https://salsa.debian.org/pkg-voip-team/sngrep.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/sngrep/

## sngrep 1.4.7

=== debian/changelog ===
sngrep (1.4.7-1) unstable; urgency=medium

  * update upstream/signing-key.asc
  * New upstream version 1.4.7

 -- Victor Seva <vseva@debian.org>  Fri, 22 May 2020 10:51:09 +0200

## sngrep 1.4.8

=== debian/changelog ===
sngrep (1.4.8-1) unstable; urgency=medium

  * New upstream version 1.4.8

 -- Victor Seva <vseva@debian.org>  Fri, 13 Nov 2020 09:33:57 +0100

## sngrep 1.4.9

=== debian/changelog ===
sngrep (1.4.9-1) unstable; urgency=medium

  * update debian/watch
  * New upstream version 1.4.9

 -- Victor Seva <vseva@debian.org>  Thu, 27 May 2021 15:22:06 +0200

## sngrep 1.4.10

=== debian/changelog ===
sngrep (1.4.10-1ubuntu0.1) jammy; urgency=medium

  * Apply upstream patch to fix segfault. (LP: #1974446)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 24 Dec 2023 23:28:36 +0000

sngrep (1.4.10-1) unstable; urgency=medium

  * New upstream version 1.4.10 (Closes: #997172)
  * update copyright years and Standards-Version with no changes
  * wrap-and-sort -sat

 -- Victor Seva <vseva@debian.org>  Mon, 22 Nov 2021 19:28:18 +0100

=== debian/control ===
Source: sngrep
Section: comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Ivan Alonso <kaian@irontec.com>,
 Victor Seva <vseva@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 libgcrypt20-dev,
 libgnutls28-dev | gnutls-dev,
 libncurses5-dev,
 libncursesw5-dev,
 libpcap-dev,
 libpcre3-dev,
Standards-Version: 4.6.0.1
Homepage: https://github.com/irontec/sngrep
Vcs-git: https://salsa.debian.org/pkg-voip-team/sngrep.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/sngrep/

Package: sngrep
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ncurses SIP Messages flow viewer
 sngrep displays SIP Messages grouped by Call-Id into flow
 diagrams. It can be used as an offline pcap viewer or online
 capture using libpcap functions.
 .
 It supports SIP UDP and TCP transports (when each message is
 delivered in one packet).

=== debian/rules ===
#!/usr/bin/make -f
override_dh_auto_configure:
	dh_auto_configure -- --with-gnutls --with-pcre \
		--enable-unicode --enable-ipv6 --enable-eep

%:
	dh $@

## sngrep 1.5.0

=== debian/changelog ===
sngrep (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0

 -- Victor Seva <vseva@debian.org>  Mon, 02 May 2022 13:02:31 +0200

## sngrep 1.6.0

=== debian/changelog ===
sngrep (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * migrate to pcre2 (Closes: #999958)

 -- Victor Seva <vseva@debian.org>  Sat, 03 Sep 2022 08:13:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sngrep
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Ivan Alonso <kaian@irontec.com>,
  Victor Seva <vseva@debian.org>,
@@ -13,7 +12,7 @@
  libncurses5-dev,
  libncursesw5-dev,
  libpcap-dev,
- libpcre3-dev,
+ libpcre2-dev,
 Standards-Version: 4.6.0.1
 Homepage: https://github.com/irontec/sngrep
 Vcs-git: https://salsa.debian.org/pkg-voip-team/sngrep.git

## sngrep 1.7.0

=== debian/changelog ===
sngrep (1.7.0-2) unstable; urgency=high

  * fix from upstream for CVE-2023-36192

 -- Victor Seva <vseva@debian.org>  Mon, 26 Jun 2023 08:47:55 +0200

sngrep (1.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Changed vcs type from git to Git based on URL.

  [ Victor Seva ]
  * New upstream version 1.7.0
  * update libncurses dependence. Update Standards-Version
  * fix minor typo detected by lintian

 -- Victor Seva <vseva@debian.org>  Mon, 01 May 2023 17:20:54 +0200

=== debian/rules ===
#!/usr/bin/make -f
override_dh_auto_configure:
	dh_auto_configure -- --with-gnutls --with-pcre2 \
		--enable-unicode --enable-ipv6 --enable-eep

%:
	dh $@

## sngrep 1.8.0

=== debian/changelog ===
sngrep (1.8.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:02:27 +1100

sngrep (1.8.0-1build1) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:13:59 +0000

sngrep (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * remove already applied patches

 -- Victor Seva <vseva@debian.org>  Mon, 08 Jan 2024 12:14:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: sngrep
 Section: comm
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Ivan Alonso <kaian@irontec.com>,
  Victor Seva <vseva@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libgcrypt20-dev,
  libgnutls28-dev | gnutls-dev,
- libncurses5-dev,
- libncursesw5-dev,
+ libncurses-dev,
  libpcap-dev,
  libpcre2-dev,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/irontec/sngrep
-Vcs-git: https://salsa.debian.org/pkg-voip-team/sngrep.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/sngrep/
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/sngrep.git
 
 Package: sngrep
 Architecture: any

## sngrep 1.8.1

=== debian/changelog ===
sngrep (1.8.1-1) unstable; urgency=high

  * New upstream version 1.8.1
  * fixes for CVE-2024-3119 and CVE-2024-3120 (Closes: #1068818)

 -- Victor Seva <vseva@debian.org>  Sun, 21 Apr 2024 21:00:43 +0200

## sngrep 1.8.2

=== debian/changelog ===
sngrep (1.8.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Victor Seva <vseva@debian.org>  Mon, 09 Sep 2024 18:13:05 +0200

sngrep (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2
  * support libcrypt 1.11 (Closes: #1071954)

 -- Victor Seva <vseva@debian.org>  Wed, 10 Jul 2024 16:37:07 +0200

## sngrep 1.8.3

=== debian/changelog ===
sngrep (1.8.3-1) unstable; urgency=medium

  * New upstream version 1.8.3
  * remove upstream already applied patches
  * fix build compilation

 -- Victor Seva <vseva@debian.org>  Thu, 16 Oct 2025 23:37:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sngrep
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Ivan Alonso <kaian@irontec.com>,
  Victor Seva <vseva@debian.org>,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sngrep-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
pgpsigurlmangle=s/archive\/refs\/tags\/v?(\d\S+)\.tar\.gz/releases\/download\/v$1\/v$1\.tar\.gz\.asc/ \
  https://github.com/irontec/sngrep/tags .*/v?(\d\S+)\.tar\.gz

## sngrep 1.8.3+bionic

=== debian/changelog ===
sngrep (1.8.3+bionic) experimental; urgency=medium

  * Automated package build.

 -- Jenkins <jenkins@packages.irontec.com>  Thu, 16 Oct 2025 17:56:47 +0200

sngrep (1.8.3) experimental; urgency=low

    * sngrep 1.8.3 released

 -- Ivan Alonso <kaian@irontec.com>  Thu, 16 Oct 2025 10:14:20 +0200

sngrep (1.8.2) experimental; urgency=low

    * sngrep 1.8.2 released

 -- Ivan Alonso <kaian@irontec.com>  Mon, 08 Jul 2024 09:27:47 +0200

sngrep (1.8.1) experimental; urgency=low

    * sngrep 1.8.1 released

 -- Ivan Alonso <kaian@irontec.com>  Mon, 08 Apr 2024 10:55:20 +0200

sngrep (1.8.0) experimental; urgency=low

    * sngrep 1.8.0 released

 -- Ivan Alonso <kaian@irontec.com>   Wed, 20 Dec 2023 10:34:52 +0100

sngrep (1.7.0) experimental; urgency=low

    * sngrep 1.7.0 released

 -- Ivan Alonso <kaian@irontec.com>   Fri, 31 Mar 2023 09:55:37 +0200

sngrep (1.6.0) experimental; urgency=low

    * sngrep 1.6.0 released

 -- Ivan Alonso <kaian@irontec.com>   Wed, 31 Aug 2022 11:56:30 +0200

sngrep (1.5.0) experimental; urgency=low

   * sngrep 1.5.0 released

 -- Ivan Alonso <kaian@irontec.com>  Tue, 26 Apr 2022 15:57:37 +0200

sngrep (1.4.10) experimental; urgency=low

   * sngrep 1.4.10 released

 -- Ivan Alonso <kaian@irontec.com>  Fri, 19 Nov 2021 11:00:24 +0100

sngrep (1.4.9) experimental; urgency=low

   * sngrep 1.4.9 released

 -- Ivan Alonso <kaian@irontec.com>  Thu, 20 May 2021 09:02:43 +0200

sngrep (1.4.8) experimental; urgency=low

   * sngrep 1.4.8 released

 -- Ivan Alonso <kaian@irontec.com>  Tue, 10 Oct 2020 10:46:10 +0200

sngrep (1.4.7) experimental; urgency=low

   * sngrep 1.4.7 released

 -- Ivan Alonso <kaian@irontec.com>  Thu, 21 May 2020 11:46:22 +0200

sngrep (1.4.6) experimental; urgency=low

   * sngrep 1.4.6 released

 -- Ivan Alonso <kaian@irontec.com>  Wed, 31 Oct 2018 17:19:27 +0100

sngrep (1.4.5) experimental; urgency=low

   * sngrep 1.4.5 released

 -- Ivan Alonso <kaian@irontec.com>  Fri, 22 Dec 2017 15:13:54 +0100

sngrep (1.4.4) experimental; urgency=low

   * sngrep 1.4.4 releaed

 -- Ivan Alonso <kaian@irontec.com>  Sun, 17 Sep 2017 10:51:57 +0200

sngrep (1.4.3) experimental; urgency=low

   * sngrep 1.4.3 releaed

 -- Ivan Alonso <kaian@irontec.com>  Wed, 10 May 2017 16:44:47 +0200

sngrep (1.4.2) experimental; urgency=low

   * sngrep 1.4.2 released

 -- Ivan Alonso <kaian@irontec.com>  Mon, 19 Dec 2016 14:00:26 +0100

sngrep (1.4.1) experimental; urgency=low

  * sngrep 1.4.1 released

 -- Ivan Alonso <kaian@irontec.com>  Fri, 28 Oct 2016 11:24:14 +0200

sngrep (1.4.0) experimental; urgency=low

  * sngrep 1.4.0 released

 -- Ivan Alonso <kaian@irontec.com>  Mon, 08 Aug 2016 10:57:07 +0200

sngrep (1.3.1) experimental; urgency=low

  * sngrep 1.3.1 released

 -- Ivan Alonso <kaian@irontec.com>  Thu, 28 Apr 2016 11:45:00 +0100

sngrep (1.3.0) experimental; urgency=low

  * sngrep 1.3.0 released

 -- Ivan Alonso <kaian@irontec.com>  Tue, 15 Mar 2016 13:14:00 +0100

sngrep (1.2.0) experimental; urgency=low

  * sngrep 1.2.0 released

 -- Ivan Alonso <kaian@irontec.com>  Thu, 10 Dec 2015 13:41:00 +0100

sngrep (1.1.0) experimental; urgency=low

  * sngrep 1.1.0 released

 -- Ivan Alonso <kaian@irontec.com>  Tue, 27 Oct 2015 16:01:00 +0100

sngrep (1.0.0) experimental; urgency=low

  * sngrep 1.3.0 released

 -- Ivan Alonso <kaian@irontec.com>  Tue, 06 Oct 2015 19:13:00 +0100

sngrep (0.4.2) experimental; urgency=low

  * sngrep 0.4.2 released

 -- Ivan Alonso <kaian@irontec.com>  Mon, 31 Aug 2015 11:21:00 +0100

sngrep (0.4.1) experimental; urgency=low

  * sngrep 0.4.1 released

 -- Ivan Alonso <kaian@irontec.com>  Fri, 10 Jul 2015 10:31:00 +0100

sngrep (0.4.0) experimental; urgency=low

  * sngrep 0.4.0 released

 -- Ivan Alonso <kaian@irontec.com>  Fri, 29 Jun 2015 15:18:00 +0100

sngrep (0.3.2) experimental; urgency=low

  * sngrep 0.3.2 released

 -- Ivan Alonso <kaian@irontec.com>  Fri, 29 May 2015 13:18:00 +0100

sngrep (0.3.1) experimental; urgency=low

  * sngrep 0.3.1 released

 -- Ivan Alonso <kaian@irontec.com>  Tue, 14 Apr 2015 19:22:00 +0100

sngrep (0.3.0) experimental; urgency=low

  * sngrep 0.3.0 released

 -- Ivan Alonso <kaian@irontec.com>  Wed, 04 Mar 2015 13:09:00 +0100

sngrep (0.2.2) experimental; urgency=low

  * sngrep 0.2.2 released

 -- Ivan Alonso <kaian@irontec.com>  Fri, 06 Feb 2015 17:54:24 +0100

sngrep (0.2.1) experimental; urgency=low

  * sngrep 0.2.1 released

 -- Ivan Alonso <kaian@irontec.com>  Thu, 22 Jan 2015 13:14:24 +0100

sngrep (0.2.0) experimental; urgency=low

  * sngrep 0.2.0 released

 -- Ivan Alonso <kaian@irontec.com>  Thu, 4 Dec 2014 20:39:04 +0100

sngrep (0.1.0) experimental; urgency=low

  * sngrep 0.1.0 released

 -- Ivan Alonso <kaian@irontec.com>  Sun, 21 Oct 2014 14:35:00 +0100

sngrep (0.0.1) experimental; urgency=low

  * sngrep 0.0.1 released

 -- Ivan Alonso <kaian@irontec.com>  Wed, 1 Oct 2014 20:39:04 +0100

## sngrep 1.8.3+bookworm

=== debian/changelog ===
sngrep (1.8.3+bookworm) experimental; urgency=medium

  * Automated package build.

 -- Jenkins <jenkins@packages.irontec.com>  Thu, 16 Oct 2025 17:56:47 +0200

## sngrep 1.8.3+bullseye

=== debian/changelog ===
sngrep (1.8.3+bullseye) experimental; urgency=medium

  * Automated package build.

 -- Jenkins <jenkins@packages.irontec.com>  Thu, 16 Oct 2025 17:56:44 +0200

## sngrep 1.8.3+buster

=== debian/changelog ===
sngrep (1.8.3+buster) experimental; urgency=medium

  * Automated package build.

 -- Jenkins <jenkins@packages.irontec.com>  Thu, 16 Oct 2025 17:56:47 +0200

## sngrep 1.8.3+focal

=== debian/changelog ===
sngrep (1.8.3+focal) experimental; urgency=medium

  * Automated package build.

 -- Jenkins <jenkins@packages.irontec.com>  Thu, 16 Oct 2025 17:56:47 +0200

## sngrep 1.8.3+jammy

=== debian/changelog ===
sngrep (1.8.3+jammy) experimental; urgency=medium

  * Automated package build.

 -- Jenkins <jenkins@packages.irontec.com>  Thu, 16 Oct 2025 17:56:44 +0200

## sngrep 1.8.3+jessie

=== debian/changelog ===
sngrep (1.8.3+jessie) experimental; urgency=medium

  * Automated package build.

 -- Jenkins <jenkins@packages.irontec.com>  Thu, 16 Oct 2025 17:56:44 +0200

## sngrep 1.8.3+noble

=== debian/changelog ===
sngrep (1.8.3+noble) experimental; urgency=medium

  * Automated package build.

 -- Jenkins <jenkins@packages.irontec.com>  Thu, 16 Oct 2025 17:56:49 +0200

## sngrep 1.8.3+stretch

=== debian/changelog ===
sngrep (1.8.3+stretch) experimental; urgency=medium

  * Automated package build.

 -- Jenkins <jenkins@packages.irontec.com>  Thu, 16 Oct 2025 17:56:47 +0200

## sngrep 1.8.3+xenial

=== debian/changelog ===
sngrep (1.8.3+xenial) experimental; urgency=medium

  * Automated package build.

 -- Jenkins <jenkins@packages.irontec.com>  Thu, 16 Oct 2025 17:56:44 +0200
